<?php
add_action('admin_menu', 'manifest_menu');
add_action('admin_init', 'register_manifest_settings');

function manifest_menu() {
	add_menu_page(
	//add_options_page(
		'Cache Manifest Settings', //page title
		'Manifest Settings', // Menu Title
		'manage_options', // rights
		'manifest-builder-plugin', //unique
		'manifest_options'
	);
	//call function
}

function manifest_options() {
	if ( ! current_user_can('manage_options')) 
	{
		wp_die(__('You do not have sufficient permissions to access this page.'));
	}
	
	if( isset($_POST['manifest_custom_files'])
	 && isset($_POST['manifest_fallback_files']))
	{
		update_option('manifest_custom_files', $_POST['manifest_custom_files']);
		update_option('manifest_fallback_files', $_POST['manifest_fallback_files']);
		
		global $manifest_plugin;
		$manifest_plugin->manifestinate();
	}
	
	echo '<div class="manifest-builder">';
	echo '<form method="post" action="">';
	
	settings_fields('manifest-setting-grp');
	
	echo '<h3>Define your files for caching here (one file each line):</h3>';
	echo '<textarea cols="80" rows="15" name="manifest_custom_files" id="manifest_custom_files">' . get_option('manifest_custom_files') . '</textarea>';
	echo '<h3>Fallbacks</h3>';
	echo '<p>First define the directory or file which could be accessed while offline, then the fallback file, if it couldn\'t accessed.';
	echo '<br/>Example:</p>';
	echo '<blockquote># static.html will be served if main.py is inaccessible<br/>
# offline.jpg will be served in place of all images in images/large/<br/>
# offline.html will be served in place of all other .html files<br/>
/main.py /static.html<br/>
images/large/ images/offline.jpg<br/>
*.html /offline.html</blockquote>';
	echo '<textarea cols="80" rows="15" name="manifest_fallback_files" id="manifest_fallback_files">' . get_option('manifest_fallback_files') . '</textarea>';
	
	do_settings_fields('manifest-builder-plugin', 'manifest-setting-grp');
	submit_button('Save & Refresh Manifest');
	
	echo '</form>';
	
	echo '<p>need help? <a class="manifest-builder-help" href="http://www.html5rocks.com/en/tutorials/appcache/beginner/" target="_blank"><strong>Beginners Guide to Using the Application Cache - HTML 5 Rocks</strong></a></p>';
	
	echo '</div>';
}

function register_manifest_settings() {
	register_setting('manifest-setting-grp', 'manifest_custom_files');
	register_setting('manifest-setting-grp', 'manifest_fallback_files');
}
?>